#
# spec file for package ghc-optparse-generic
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name optparse-generic
Name:           ghc-%{pkg_name}
Version:        1.4.7
Release:        bp156.3.3
Summary:        Auto-generate a command-line parser for your datatype
License:        BSD-3-Clause
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
Source1:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/revision/2.cabal#/%{pkg_name}.cabal
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-Only-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-optparse-applicative-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-system-filepath-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-transformers-compat-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-void-devel
ExcludeArch:    %{ix86}

%description
This library auto-generates an 'optparse-applicative'-compatible 'Parser' from
any data type that derives the 'Generic' interface.

See the documentation in "Options.Generic" for an example of how to use this
library.

%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development
files.

%prep
%autosetup -n %{pkg_name}-%{version}
cp -p %{SOURCE1} %{pkg_name}.cabal

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc CHANGELOG.md

%changelog
* Thu Feb  3 2022 Peter Simons <psimons@suse.com>
- Update optparse-generic to version 1.4.7 revision 2.
  Upstream has revised the Cabal build instructions on Hackage.
* Tue Nov  9 2021 psimons@suse.com
- Update optparse-generic to version 1.4.7.
  1.4.7
  * [Derive `Data` instances for exported types](https://github.com/Gabriel439/Haskell-Optparse-Generic-Library/pull/89)
* Sun Oct 10 2021 psimons@suse.com
- Update optparse-generic to version 1.4.6.
  1.4.6
  * Use `readField` in default implementation of `parseField`
* Thu Sep  2 2021 psimons@suse.com
- Update optparse-generic to version 1.4.5.
  1.4.5
  * [Add ability to set the short name in the type](https://github.com/Gabriel439/Haskell-Optparse-Generic-Library/pull/84)
  * [Display default values in `--help` output](https://github.com/Gabriel439/Haskell-Optparse-Generic-Library/pull/83)
* Fri Aug 13 2021 psimons@suse.com
- Update optparse-generic to version 1.4.4 revision 3.
  Upstream has revised the Cabal build instructions on Hackage.
* Sat Jul 10 2021 psimons@suse.com
- Update optparse-generic to version 1.4.4 revision 2.
  Upstream has revised the Cabal build instructions on Hackage.
* Wed Feb  3 2021 psimons@suse.com
- Update optparse-generic to version 1.4.4 revision 1.
  Upstream has revised the Cabal build instructions on Hackage.
* Thu Dec 17 2020 Ondřej Súkup <mimi.vx@gmail.com>
- disable %%{ix86} build
* Tue Nov  3 2020 psimons@suse.com
- Add optparse-generic at version 1.4.4.
